/** @jsx h */
import { h } from 'preact';
import getComponent from './utils/get-styled-component';
import { transitionIn } from './transition-in';

export const Shield = transitionIn(getComponent({
  baseClasses: 'fixed transition w-100 h-100 top-0 left-0 bg-blue o-50',
  options: { transitions: ['firstRender'] },
  fn: ({ firstRender }) => firstRender ? 'o-0' : ''
}));